# vim: set sw=4 ts=4 et nu:

Name:           perl-Net-DBus-GLib
Version:        0.33.0
Release:        1.5
Summary:        Extension for the DBus GLib bindings
Source:         http://search.cpan.org/CPAN/authors/id/D/DA/DANBERR/Net-DBus-GLib-%{version}.tar.gz
URL:            http://search.cpan.org/dist/Net-DBus-GLib
Group:          Development/Libraries/Perl
License:        Perl License
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
%{perl_requires}
BuildRequires:  perl-macros
BuildRequires:  make
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Gtk2)
BuildRequires:  perl(Net::DBus) >= 0.33.0
BuildRequires:  pkgconfig gcc
BuildRequires:  dbus-1-glib-devel
Requires:       perl(Gtk2)
Requires:       perl(Net::DBus) >= 0.33.0

%description
Net::DBus::GLib provides an extension to the Net::DBus module allowing
integration with the GLib mainloop. To integrate with the main loop,
simply get a connection to the bus via the methods in Net::DBus::GLib
rather than the usual Net::DBus module. That's it - every other API
remains the same.

%prep
%setup -q -n "Net-DBus-GLib-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc README LICENSE CHANGES
%dir %{perl_vendorarch}/Net
%dir %{perl_vendorarch}/Net/DBus
%{perl_vendorarch}/Net/DBus/GLib.pm
%dir %{perl_vendorarch}/auto/Net
%dir %{perl_vendorarch}/auto/Net/DBus
%{perl_vendorarch}/auto/Net/DBus/GLib
%doc %{perl_man3dir}/Net::DBus::GLib.%{perl_man3ext}%{ext_man}

%changelog
* Wed Mar 16 2011 pascal.bleser@opensuse.org
- initial version (0.33.0)
